postgresql9.4-perl-9.4.24-alt1.i586.rpm


Advertisement

Description

postgresql9.4-perl - The PL/Perl procedural language for PostgreSQL

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package filename postgresql9.4-perl-9.4.24-alt1.i586.rpm
Package name postgresql9.4-perl
Package version 9.4.24
Package release alt1
Package architecture i586
Package type rpm
Category Databases
Homepage -
License -
Maintainer -
Download size 171.61 KB
Installed size 171.61 KB
PostgreSQL is an advanced Object-Relational database management
system.  The postgresql-perl package contains the PL/Perl procedural
language for the backend.

Alternatives

Package Version Architecture Repository
postgresql9.4-perl-9.4.24-alt1.x86_64.rpm 9.4.24 x86_64 Classic
postgresql9.4-perl - - -

Requires

Name Value
libperl-5.28.so -
libpthread.so.0(GLIBC_2.0) -
postgresql9.4-server = 9.4.24-alt1:sisyphus+235637.200.1.1
rpmlib(PayloadIsLzma) -

Provides

Name Value
postgresql-perl = 9.4.24-alt1
postgresql9.4-perl = 9.4.24-alt1:sisyphus+235637.200.1.1

Download

Type URL
Mirror ftp.altlinux.org
Binary Package postgresql9.4-perl-9.4.24-alt1.i586.rpm
Source Package postgresql9.4-9.4.24-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install postgresql9.4-perl rpm package:
    # sudo apt-get install postgresql9.4-perl

Files

Path
/usr/lib/pgsql/plperl.so
/usr/share/locale/cs/LC_MESSAGES/plperl-9.4.mo
/usr/share/locale/de/LC_MESSAGES/plperl-9.4.mo
/usr/share/locale/es/LC_MESSAGES/plperl-9.4.mo
/usr/share/locale/fr/LC_MESSAGES/plperl-9.4.mo
/usr/share/locale/it/LC_MESSAGES/plperl-9.4.mo
/usr/share/locale/ja/LC_MESSAGES/plperl-9.4.mo
/usr/share/locale/pl/LC_MESSAGES/plperl-9.4.mo
/usr/share/locale/pt_BR/LC_MESSAGES/plperl-9.4.mo
/usr/share/locale/ro/LC_MESSAGES/plperl-9.4.mo
/usr/share/locale/ru/LC_MESSAGES/plperl-9.4.mo
/usr/share/locale/sv/LC_MESSAGES/plperl-9.4.mo
/usr/share/locale/tr/LC_MESSAGES/plperl-9.4.mo
/usr/share/locale/zh_CN/LC_MESSAGES/plperl-9.4.mo
/usr/share/locale/zh_TW/LC_MESSAGES/plperl-9.4.mo
/usr/share/pgsql/extension/plperl--1.0.sql
/usr/share/pgsql/extension/plperl--unpackaged--1.0.sql
/usr/share/pgsql/extension/plperl.control
/usr/share/pgsql/extension/plperlu--1.0.sql
/usr/share/pgsql/extension/plperlu--unpackaged--1.0.sql
/usr/share/pgsql/extension/plperlu.control

Changelog

2019-08-07 - Alexei Takaseev <taf@altlinux.org> 9.4.24-alt1
- 9.4.24 (Fixes CVE-2019-10208)
2019-06-20 - Alexei Takaseev <taf@altlinux.org> 9.4.23-alt1
- 9.4.23
2019-05-08 - Alexei Takaseev <taf@altlinux.org> 9.4.22-alt1
- 9.4.22
2019-04-03 - Alexei Takaseev <taf@altlinux.org> 9.4.21-alt2
- Move *.control and *.sql files from -server to -contrib subpackage
(Fixes ALT#36271)
- Removed unnecessary minor version in package name libpq and libecpg
- Join subpackages libpq-devel, libecpg-devel and postgresql-devel to
one postgresql-devel subpackage
- Remove unneeded Conflicts like postgresqlX.Y
- Remove unneeded Conflicts < and > for all subpackages
- Rename postgresqlX-devel to postgresql-devel
- Add Requires to -server for -contrib, -perl, -python and -tcl and subpackages
2019-02-13 - Alexei Takaseev <taf@altlinux.org> 9.4.21-alt1
- 9.4.21
- Replace PreReq to Requires(pre)
- Remove deadcode for chroot
2019-01-24 - Igor Vlasenko <viy@altlinux.ru> 9.4.20-alt1.1
- rebuild with new perl 5.28.1
2018-11-08 - Alexei Takaseev <taf@altlinux.org> 9.4.20-alt1
- 9.4.20
2018-10-19 - Alexei Takaseev <taf@altlinux.org> 9.4.19-alt5
- Disable package libs for --without devel. This will provide
one set of libraries for all versions of the PG.
2018-10-08 - Igor Vlasenko <viy@altlinux.ru> 9.4.19-alt3
- NMU: removed Provides: postgresql-perl from old postgresses
2018-09-04 - Alexei Takaseev <taf@altlinux.org> 9.4.19-alt2
- Add BR: libkrb5-devel
- Rebuild with OpenSSL 1.1.x

See Also

Package Description
postgresql9.4-python-9.4.24-alt1.i586.rpm Development module for Python code to access a PostgreSQL DB
postgresql9.4-server-9.4.24-alt1.i586.rpm The programs needed to create and run a PostgreSQL server
postgresql9.4-tcl-9.4.24-alt1.i586.rpm The PL/Tcl procedural language for PostgreSQL
postgresql9.5-9.5.19-alt1.i586.rpm PostgreSQL client programs and libraries
postgresql9.5-contrib-9.5.19-alt1.i586.rpm Contributed source and binaries distributed with PostgreSQL
postgresql9.5-perl-9.5.19-alt1.i586.rpm The PL/Perl procedural language for PostgreSQL
postgresql9.5-python-9.5.19-alt1.i586.rpm Development module for Python code to access a PostgreSQL DB
postgresql9.5-server-9.5.19-alt1.i586.rpm The programs needed to create and run a PostgreSQL server
postgresql9.5-tcl-9.5.19-alt1.i586.rpm The PL/Tcl procedural language for PostgreSQL
postgresql9.6-9.6.15-alt1.i586.rpm PostgreSQL client programs and libraries
postgresql9.6-contrib-9.6.15-alt1.i586.rpm Contributed source and binaries distributed with PostgreSQL
postgresql9.6-perl-9.6.15-alt1.i586.rpm The PL/Perl procedural language for PostgreSQL
postgresql9.6-python-9.6.15-alt1.i586.rpm Development module for Python code to access a PostgreSQL DB
postgresql9.6-server-9.6.15-alt1.i586.rpm The programs needed to create and run a PostgreSQL server
postgresql9.6-tcl-9.6.15-alt1.i586.rpm The PL/Tcl procedural language for PostgreSQL
Advertisement
Advertisement